import 'package:flutter/material.dart';
import 'package:hub/shared/components/molecules/menu/index.dart';

enum AboutPropertyMenuEntries implements MenuEntry {
  residents,
  vehicles,
  openedVisits,
  petsHistory;

  @override
  String get value {
    switch (this) {
      case AboutPropertyMenuEntries.openedVisits:
        return 'FRE-HUB-OPENED-VISITS';
      case AboutPropertyMenuEntries.vehicles:
        return 'FRE-HUB-VEHICLES';
      case AboutPropertyMenuEntries.residents:
        return 'FRE-HUB-RESIDENTS';
      case AboutPropertyMenuEntries.petsHistory:
        return 'FRE-HUB-PETS-HISTORY';
      default:
        return '';
    }
  }

  @override
  IconData get icon {
    switch (this) {
      case AboutPropertyMenuEntries.residents:
        return Icons.groups;
      case AboutPropertyMenuEntries.vehicles:
        return Icons.directions_car;
      case AboutPropertyMenuEntries.openedVisits:
        return Icons.perm_contact_calendar;
      case AboutPropertyMenuEntries.petsHistory:
        return Icons.pets;
    }
  }

  @override
  String get name {
    switch (this) {
      case AboutPropertyMenuEntries.residents:
        return 'Residents';
      case AboutPropertyMenuEntries.vehicles:
        return 'Vehicles';
      case AboutPropertyMenuEntries.openedVisits:
        return 'Opened Visits';
      case AboutPropertyMenuEntries.petsHistory:
        return 'Pets History';
    }
  }

  @override
  String get route {
    switch (this) {
      case AboutPropertyMenuEntries.residents:
        return '/residentsOnThePropertyPage';
      case AboutPropertyMenuEntries.vehicles:
        return '/vehiclesOnThePropertyPage';
      case AboutPropertyMenuEntries.openedVisits:
        return '/openedVisitsPage';
      case AboutPropertyMenuEntries.petsHistory:
        return '/petsOnThePropertyPage';
    }
  }
  

}
